Subject: Re: Softirq priority inversion from "softirq: reduce latencies"

From: Mike Galbraith <[email-masked]>
Date: Mon, 07 Mar 2016 18:06:30 +0100

On Mon, 2016-03-07 at 16:31 +0100, Sebastian Andrzej Siewior wrote:
> On 02/29/2016 05:58 AM, Mike Galbraith wrote:
> > WRT -rt: if dma tasklets really do have hard (ish) constraints, -rt
> > recently "broke" in the same way.. of all softirqs which are deferred
> > to kthread context, due to a recent change, only timer/hrtimer are
> > executed at realtime priority by default.
> 
> no. All softirqs are invoked in the context of the current process that
> triggerd the softirq invocation. If NAPI goes on for too long (or other
> softirq can't be executed in this context) it will continue in the
> ksoftirqd. And this threads runs at a normal priority like it does in
> mainline.
> I adjusted it with mainline.

Yeah, that's what I said, the ksoftirqd case became the same in -rt.

	-Mike